OpenJPEG: opj_image_comp Struct Reference

OpenJPEG 2.1.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
opj_image_comp Struct Reference

Defines a single image component. More...

`#include <openjpeg.h>`

## Data Fields
OPJ_UINT32 | dx
| XRsiz: horizontal separation of a sample of ith component with respect to the reference grid. More...
OPJ_UINT32 | dy
| YRsiz: vertical separation of a sample of ith component with respect to the reference grid. More...
OPJ_UINT32 | w
| data width More...
OPJ_UINT32 | h
| data height More...
OPJ_UINT32 | x0
| x component offset compared to the whole image More...
OPJ_UINT32 | y0
| y component offset compared to the whole image More...
OPJ_UINT32 | prec
| precision More...
OPJ_UINT32 | bpp
| image depth in bits More...
OPJ_UINT32 | sgnd
| signed (1) / unsigned (0) More...
OPJ_UINT32 | resno_decoded
| number of decoded resolution More...
OPJ_UINT32 | factor
| number of division by 2 of the out image compared to the original size of image More...
OPJ_INT32 * | data
| image component data More...
OPJ_UINT16 | alpha
| alpha channel More...

## Detailed Description

Defines a single image component.

## Field Documentation

OPJ_UINT16 opj_image_comp::alpha

alpha channel

Referenced by opj_jp2_apply_cdef().

OPJ_UINT32 opj_image_comp::bpp

image depth in bits

Referenced by opj_image_create(), and opj_j2k_is_cinema_compliant().

OPJ_INT32* opj_image_comp::data

image component data

Referenced by imagetopnm(), opj_copy_image_header(), opj_image_create(), opj_image_destroy(), opj_image_tile_create(), opj_j2k_decode(), opj_j2k_get_tile(), opj_j2k_get_tile_data(), opj_j2k_start_compress(), opj_j2k_update_image_data(), and opj_jp2_apply_pclr().

OPJ_UINT32 opj_image_comp::dx

XRsiz: horizontal separation of a sample of ith component with respect to the reference grid.

Referenced by j2k_dump_image_comp_header(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_image_comp_header_update(), opj_image_create(), opj_image_tile_create(), opj_j2k_get_tile(), opj_j2k_get_tile_data(), opj_j2k_read_siz(), opj_j2k_set_cinema_parameters(), opj_j2k_set_decode_area(), opj_j2k_setup_encoder(), opj_j2k_update_rates(), opj_j2k_write_siz(), opj_pi_create_decode(), and opj_pi_initialise_encode().

OPJ_UINT32 opj_image_comp::dy

YRsiz: vertical separation of a sample of ith component with respect to the reference grid.

Referenced by j2k_dump_image_comp_header(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_image_comp_header_update(), opj_image_create(), opj_image_tile_create(), opj_j2k_get_tile(), opj_j2k_get_tile_data(), opj_j2k_read_siz(), opj_j2k_set_cinema_parameters(), opj_j2k_set_decode_area(), opj_j2k_setup_encoder(), opj_j2k_update_rates(), opj_j2k_write_siz(), opj_pi_create_decode(), and opj_pi_initialise_encode().

OPJ_UINT32 opj_image_comp::factor

number of division by 2 of the out image compared to the original size of image

Referenced by opj_image_comp_header_update(), opj_j2k_get_tile(), opj_j2k_read_siz(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_resolution_factor(), and opj_j2k_update_image_data().

OPJ_UINT32 opj_image_comp::h

data height

Referenced by imagetopnm(), opj_image_comp_header_update(), opj_image_create(), opj_image_tile_create(), opj_j2k_decode(), opj_j2k_get_tile(), opj_j2k_is_cinema_compliant(), opj_j2k_set_cinema_parameters(), opj_j2k_set_decode_area(), opj_j2k_setup_encoder(), opj_j2k_update_image_data(), and opj_jp2_apply_pclr().

OPJ_UINT32 opj_image_comp::prec

precision

Referenced by imagetopnm(), j2k_dump_image_comp_header(), opj_image_create(), opj_image_tile_create(), opj_j2k_get_tile_data(), opj_j2k_read_cbd(), opj_j2k_read_siz(), opj_j2k_set_cinema_parameters(), opj_j2k_setup_encoder(), opj_j2k_update_image_data(), opj_j2k_update_rates(), opj_j2k_write_cbd(), opj_j2k_write_siz(), opj_jp2_apply_pclr(), opj_jp2_setup_encoder(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_get_decoded_tile_size(), opj_tcd_get_encoded_tile_size(), opj_tcd_makelayer_fixed(), opj_tcd_rateallocate(), and opj_tcd_update_tile_data().

OPJ_UINT32 opj_image_comp::resno_decoded

number of decoded resolution

Referenced by opj_j2k_decode(), opj_j2k_get_tile(), opj_j2k_read_siz(), opj_j2k_update_image_data(), opj_t2_decode_packets(), opj_tcd_dc_level_shift_decode(), opj_tcd_dwt_decode(), and opj_tcd_update_tile_data().

OPJ_UINT32 opj_image_comp::sgnd

signed (1) / unsigned (0)

Referenced by imagetopnm(), j2k_dump_image_comp_header(), opj_image_create(), opj_image_tile_create(), opj_j2k_get_tile_data(), opj_j2k_is_cinema_compliant(), opj_j2k_read_cbd(), opj_j2k_read_siz(), opj_j2k_setup_encoder(), opj_j2k_update_image_data(), opj_j2k_write_cbd(), opj_j2k_write_siz(), opj_jp2_apply_pclr(), opj_jp2_setup_encoder(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), and opj_tcd_update_tile_data().

OPJ_UINT32 opj_image_comp::w

data width

Referenced by imagetopnm(), opj_image_comp_header_update(), opj_image_create(), opj_image_tile_create(), opj_j2k_decode(), opj_j2k_get_tile(), opj_j2k_is_cinema_compliant(), opj_j2k_set_cinema_parameters(), opj_j2k_set_decode_area(), opj_j2k_setup_encoder(), opj_j2k_update_image_data(), and opj_jp2_apply_pclr().

OPJ_UINT32 opj_image_comp::x0

x component offset compared to the whole image

Referenced by opj_image_comp_header_update(), opj_image_create(), opj_image_tile_create(), opj_j2k_get_tile(), opj_j2k_set_decode_area(), and opj_j2k_update_image_data().

OPJ_UINT32 opj_image_comp::y0

y component offset compared to the whole image

Referenced by opj_image_comp_header_update(), opj_image_create(), opj_image_tile_create(), opj_j2k_get_tile(), opj_j2k_set_decode_area(), and opj_j2k_update_image_data().

The documentation for this struct was generated from the following file:

- openjpeg.h